<?php declare(strict_types=1);

namespace Infomaker\Imengine\CropData;

use Infomaker\Imengine\CropData\Interfaces\AutoCropDataInterface;

/**
 * Class AutoCropData
 *
 * @package Infomaker\Imengine
 */
class AutoCropData implements AutoCropDataInterface
{
    private $originalWidth;
    private $originalHeight;
    private $width;
    private $ratio = '3:2';

    /**
     * AutoCropDataInterface constructor.
     *
     * @param int $originalWidth
     * @param int $originalHeight
     * @param int $width
     */
    public function __construct(int $originalWidth, int $originalHeight, int $width)
    {
        $this->originalWidth  = $originalWidth;
        $this->originalHeight = $originalHeight;
        $this->width          = $width;
    }

    /**
     * @return int
     */
    public function getOriginalWidth(): int
    {
        return $this->originalWidth;
    }

    /**
     * @return int
     */
    public function getOriginalHeight(): int
    {
        return $this->originalHeight;
    }

    /**
     * @return int
     */
    public function getWidth(): int
    {
        return $this->width;
    }

    /**
     * @return string
     */
    public function getRatio(): string
    {
        return $this->ratio;
    }

    /**
     * @param string $ratio
     *
     * @return \Infomaker\Imengine\CropData\AutoCropData
     */
    public function setRatio(string $ratio): AutoCropData
    {
        $this->ratio = $ratio;

        return $this;
    }
}
